org.apache.ignite.internal.processors.query

## Class DistributedSqlConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.query.DistributedSqlConfiguration

    public abstract class DistributedSqlConfiguration
    extends Object

Common distributed SQL configuration.

### Field Summary

Fields
`static int` `DFLT_QRY_TIMEOUT` Default value of the query timeout.
`protected static String` `PROPERTY_UPDATE_MESSAGE` Property update message.

### Constructor Summary

Constructors
`protected` `DistributedSqlConfiguration(GridKernalContext ctx, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `defaultQueryTimeout()`
`GridFutureAdapter<?>` `defaultQueryTimeout(int timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTY_UPDATE_MESSAGE

    protected static final String PROPERTY_UPDATE_MESSAGE

Property update message.

See Also:
  Constant Field Values

#### DFLT_QRY_TIMEOUT

    public static final int DFLT_QRY_TIMEOUT

Default value of the query timeout.

See Also:
  Constant Field Values

### Constructor Detail

#### DistributedSqlConfiguration

    protected DistributedSqlConfiguration(GridKernalContext ctx,
                                          IgniteLogger log)

Parameters:
  `ctx` - Kernal context
  `log` - Logger.

### Method Detail

#### defaultQueryTimeout

    public int defaultQueryTimeout()

Returns:
  Default query timeout.

#### defaultQueryTimeout

    public GridFutureAdapter<?> defaultQueryTimeout(int timeout)
                                             throws IgniteCheckedException

Parameters:
  `timeout` - Default query timeout.
Throws:
  `IgniteCheckedException` - if failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023